Aller au contenu

condenser_api.get_following ​

since HF9

Purpose ​

Retourne la liste des comptes abonnés à un compte. Paramètres : account:string ; start:string (compte de départ) ; type:string par exemple : blog ; limit:int jusqu'à 1000

account (string)start (string)type (string)limit (int)
"steemit"null"blog"10Interroge les abonnements (follow) du compte nommé steemit, jusqu'à 10 résultats.
"alice"null"ignore"100Interroge les mises en sourdine (mute) du compte nommé alice, jusqu'à 100 résultats.

Voir aussi : follow_api.get_following, Paginated API Methods

Parameters ​

PARAMETERS
json
[
  "steemit",
  null,
  "blog",
  10
]

Example ​

Example 1 ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "condenser_api.get_following",
    "params": [
      "steemit",
      null,
      "blog",
      10
    ],
    "id": 1
  }'

Example 2 ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "condenser_api.get_following",
    "params": [
      "alice",
      null,
      "ignore",
      100
    ],
    "id": 1
  }'